4.2 u and wiikey

Discussion in 'Wii - Hacking' started by ZMan13, Oct 1, 2009.

Oct 1, 2009

4.2 u and wiikey by ZMan13 at 2:24 PM (8,081 Views / 0 Likes) 32 replies

  1. ZMan13
    OP

    Newcomer ZMan13 Member

    Joined:
    Oct 1, 2009
    Messages:
    25
    Country:
    United States
    How can I enable playing my pal region backups again?
    Is it possible to downgrade to 4.1?

    Can't find a definite answer or it is lost among 80 something pages.

    Thanks!
     


  2. koolmoed

    Newcomer koolmoed Member

    Joined:
    Aug 17, 2009
    Messages:
    30
    Country:
    United States
    Does wiikey 1.9s support Nintendo v4.X
    reading many posts lately, it is still not clear.

    If I just want to play backups, does the original wiikey 1.92 work with Nintendo v4.1 and 4.2.

    Thanks
     
  3. ZMan13
    OP

    Newcomer ZMan13 Member

    Joined:
    Oct 1, 2009
    Messages:
    25
    Country:
    United States
    Come on, guys, anyone?
     
  4. Bladexdsl

    Member Bladexdsl ZOMG my posts...it's over 9000!!!

    Joined:
    Nov 17, 2008
    Messages:
    14,353
    Location:
    Queensland
    Country:
    Australia
    not possible to downgrade your pretty much screwed for now
     
  5. Gamer

    Member Gamer DS Gamer

    Joined:
    Oct 28, 2002
    Messages:
    628
    Location:
    Monterrey, México
    Country:
    Mexico
    Seems RegionFrii and the method used by modchips to run other region games are screwed in this update.

    But, I guess you could use GeckoOS 1.9.2.
     
  6. koolmoed

    Newcomer koolmoed Member

    Joined:
    Aug 17, 2009
    Messages:
    30
    Country:
    United States
    Zman: Does the wiikey work well with 4.2 with "in-your-own" region games.

    I don't need all the softmod homebrew stuff.

    thanks
     
  7. djbubba2002

    Member djbubba2002 GBAtemp Advanced Fan

    Joined:
    Feb 10, 2007
    Messages:
    832
    Country:
    Haiti
    i have a wiikey .. then i update to 4.2..everything works good with my chip ..
     
  8. ZMan13
    OP

    Newcomer ZMan13 Member

    Joined:
    Oct 1, 2009
    Messages:
    25
    Country:
    United States
    My in region discs work OK.

    Pal ones are giving me Unknown Error message.
     
  9. mk123a

    Newcomer mk123a Advanced Member

    Joined:
    Aug 19, 2006
    Messages:
    70
    Country:
    I wonder if a new preloader hack for 4.2 can re-enable region free gaming by disabling whatever is in the sysmenu 4.2 that is disabling it, much in the same way that there are 4.2 hacks to disable the HAXX and DVDX blocking.
    Either that or hope theres a modchip firmware up that addresses this issue.

    Zman13, see if you can run your PAL backups through gecko Os like Gamer suggested.
     
  10. ZMan13
    OP

    Newcomer ZMan13 Member

    Joined:
    Oct 1, 2009
    Messages:
    25
    Country:
    United States
    What is gecko OS and what do I do with it?

    DVDx, as far as I know, is a DVD to DIVX ripper software, I am not sure what it has to do with WII.
     
  11. koolmoed

    Newcomer koolmoed Member

    Joined:
    Aug 17, 2009
    Messages:
    30
    Country:
    United States
    awesome news. I have a 3.3U wii with 1.9s. I installed homebrew with a few apps. I never changed any ios's.

    Can I just turn on wifi and do the 4.2 upgrade. Should I remove the homebrew channel via system menu and format the sd card first before upgrading.

    I just want to play in-region backups through the disc channel.
     
  12. koolmoed

    Newcomer koolmoed Member

    Joined:
    Aug 17, 2009
    Messages:
    30
    Country:
    United States
    gecko os
    http://wiibrew.org/wiki/GeckoOS

    I believe it requires homebrew. Not sure how to get homebrew on 4.2

    I have it on 3.3u. It acts as a loader for games. You run the app via homebrew, then you get some options to load a game, channel etc. You can set it to region free before you load the game.
     
  13. koolmoed

    Newcomer koolmoed Member

    Joined:
    Aug 17, 2009
    Messages:
    30
    Country:
    United States
    DJ bubba what were your wiikey settings when you upgraded. Update Y or N, DevMode Y or N.

    thanks
     
  14. nicksasa

    Member nicksasa GBAtemp Maniac

    Joined:
    Oct 25, 2008
    Messages:
    1,410
    Country:
    Belgium
    fail
     
  15. mariomaniac33

    Member mariomaniac33 GBAtemp Regular

    Joined:
    May 10, 2008
    Messages:
    111
    Country:
    United States
    I've been analyzing system menu 4.2U. It has updated security around the region protection. It also appears to contain modchip detection (hence error 003). This is when "stealth" modchips come in handy. Remember how Wiikey 1 was reported to have semi-stealth? That's the problem. It can only get around some of the checks. As far as I understand, it is in "full stealth" when you play in region games. However, if you turn on dev-mode or play out of region games, it reverts to semi-stealth, so it's detectable [​IMG] . As far as 4.1 goes, there are no modchip checks, so you're good if you downgrade.

    I own a Wiikey 1 as well. As far as I know, I'm not sure if it's the new region protection, the mochip detection, or a combination of both that are blocking out of region games.

    Try Smash Stack or Indiana Pwns for downgrading. You'll need a vulnerable IOS as well. Hopefully you still have one. If you don't own either Smash Bros Brawl or Lego Indiana Jones, you could consider renting or borrowing them.

    You could also try restoring an old NAND backup if you have BootMii installed, assuming you made a NAND backup before you upgraded to 4.2.

    Hope this helps [​IMG]
     
  16. Ssseth

    Member Ssseth GBAtemp Regular

    Joined:
    Aug 14, 2008
    Messages:
    221
    Country:
    Canada
    I beg to differ. Upgrading to 4.1 has caused newer games to stop loading from the disc channel when they were working fine on 3.2. At least on my Wii with a Wiinja Deluxe modchip. I have no idea what to do to get it working again (besides going back to 3.2...).
     
  17. berlinka

    Member berlinka You have sustained a lethal injury.

    Joined:
    Jul 31, 2003
    Messages:
    3,147
    Location:
    Harderwijk, Netherlands
    Country:
    Netherlands
    I have a Wiikey too, and the 10 discs I tried didn't work on 4.2.

    Luckily I did a NAND backup yesterday. I put it back. Now I'm on 4.0E again and my discs work again.

    Mariomaniac, you totally explained it to me. I didn't understand at all, but now you told about the new "wiikey" detection, it all seems very logic (and very annoying).
     
  18. Ssseth

    Member Ssseth GBAtemp Regular

    Joined:
    Aug 14, 2008
    Messages:
    221
    Country:
    Canada
    What error were you getting when trying to launch games on 4.2? What was happening? Curious if it's the same thing, or close to the same thing as me. There is no workaround for this yet? Sounds like us modchip folks are getting left in the dust a bit with all this soft modding going on.
     
  19. Pakatus

    Member Pakatus GBAtemp Advanced Fan

    Joined:
    Apr 13, 2009
    Messages:
    777
    Location:
    Portugal
    Country:
    Portugal
    Wiikey or wiikey2 ppl?
    Please let set a database:

    Wiikey|Console|Game|Result:
    Wiikey2|PAL|PAL|OK
    Wiikey2|PAL|NTSC|NOK

    This is my friends results, i've checked it myself.
    What are yours?
     
  20. Karpo_007

    Newcomer Karpo_007 Member

    Joined:
    Sep 13, 2009
    Messages:
    18
    Country:
    Finland
    Wiikey2 has the same problem on 4.2, my PAL Wii does not even recognize NTSC discs. Installed 4.1 and they work again. Hopefully there will be a hack for the 4.2 menu even if it doesn't bring anything useful; future versions might and they will probably use same protection.
     

Share This Page